Bug 976688 - multipath -w does not work as expected
multipath -w does not work as expected
Status: CLOSED CURRENTRELEASE
Product: Red Hat Enterprise Linux 7
Classification: Red Hat
Component: device-mapper-multipath (Show other bugs)
7.0
Unspecified Unspecified
unspecified Severity low
: rc
: ---
Assigned To: LVM and device-mapper development team
yanfu,wang
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-06-21 03:57 EDT by Xiaowei Li
Modified: 2014-01-21 22:56 EST (History)
6 users (show)

See Also:
Fixed In Version: device-mapper-multipath-0.4.9-53.el7
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2014-01-21 22:55:47 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Xiaowei Li 2013-06-21 03:57:38 EDT
Description of problem:


Version-Release number of selected component (if applicable):
device-mapper-multipath-0.4.9-51.el7.x86_64

How reproducible:
100%

Steps to Reproduce:
# multipath -ll
mpathb (353333330000007d1) dm-2 Linux   ,scsi_debug      
size=1.0G features='0' hwhandler='0' wp=rw
|-+- policy='service-time 0' prio=1 status=active
| `- 32:0:0:1 sdc 8:32 active ready running
`-+- policy='service-time 0' prio=1 status=enabled

1. > /etc/multipath/wwids
2. multipath -W
successfully reset wwids
3. multipath -w mpathb
wwid '353333330000007d1' not in wwids file
4. cat /etc/multipath/wwids 
# Multipath wwids, Version : 1.0
# NOTE: This file is automatically maintained by multipath and multipathd.
# You should not need to edit this file in normal circumstances.
#
# Valid WWIDs:
/353333330000007d1/

workaround:
run multipath -W again, then multipath -w mpathb will work.

Actual results:
multipath -w fails to remove the wwid

Expected results:


Additional info:
Comment 2 Ben Marzinski 2013-06-26 12:05:55 EDT
Multipath wasn't seeking back to the start of the file after it truncated it.  I'll have a package with a fix shortly.
Comment 3 Ben Marzinski 2013-07-05 18:49:59 EDT
This has been fixed now
Comment 4 yanfu,wang 2014-01-21 22:55:21 EST
It's verified by /kernel/storage/multipath/wwids in RHEL7.0 snap2/snap3 testing:
https://tcms.engineering.redhat.com/run/108940/?from_plan=7249

Note You need to log in before you can comment on or make changes to this bug.